<?
if (!$do){
$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p /проверка секрета\n");
fclose($fp);
$grad.="<span style=\"color:red\"><strong>СЕКРЕТ</strong></span>";
$grad.="<form action=\"$PHP_SELF?site=chn&do=ok\" method=\"post\">";
$grad.="<input name=\"sekret\">
<br/><input type=\"hidden\" name=\"login\" value=\"$login\" />
<input type=\"hidden\" name=\"p\" value=\"$p\">
<input type=\"submit\" value=\"Потвердить\">";
}else{
$info=split("\|",$game['loc'][$game['players'][$login]][$login]['info']);
if ($sekret!=$info[5]) {$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p&sekret=$sekret  /секрет не прваельный\n");
fclose($fp);
 msg("<span style=\"color:red\"><strong>Внимание</strong></span><br/>Вы указали неправельные регистрациональные данные!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
}
if ($p!=$info[0]){ $fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p&sekret=$sekret /пароль не прваельный\n");
fclose($fp);
msg("<span style=\"color:red\"><strong>Внимание</strong></span><br/>Вы указали неправельные регистрациональные данные!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
}
if (!$login || !$p) msg("<span style=\"color:red\"><strong>Внимание</strong></span><br/>Введите логин и пароль и секрет<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
$fp=@fopen("agent/$login","w");
fwrite($fp, "$ip");
fclose($fp);
$grad.="Прoверка пройдена!<br/><a href=\"$PHP_SELF?site=connect2&login=$login&p=$p\">Войти</a>";

$fp = fopen("data/SITE.dat","a+");
fwrite($fp, "[$gz_day/$gz_time]==>$gz_ip || ?site=chn&login=$login&p=$p&sekret=$sekret /проверка прошла успешно\n");
fclose($fp);
}
$grad.="<hr/><a href=\"?\">В начало</a>";
msg($grad,Потвердить,0,'none');
?>